Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::ServiceContextList_var Class Reference

`#include <IOPC.h>`

List of all members.

## Public Methods
| ServiceContextList_var (void)
| ServiceContextList_var (ServiceContextList *)
| ServiceContextList_var (const ServiceContextList_var &)
| ~ServiceContextList_var (void)
ServiceContextList_var & | operator= (ServiceContextList *)
ServiceContextList_var & | operator= (const ServiceContextList_var &)
ServiceContextList * | operator-> (void)
const ServiceContextList * | operator-> (void) const
| operator const ServiceContextList & () const
| operator ServiceContextList & ()
| operator ServiceContextList & () const
| operator ServiceContextList *& ()
ServiceContext & | operator[] (CORBA::ULong index)
const ServiceContext & | operator[] (CORBA::ULong index) const
const ServiceContextList & | in (void) const
ServiceContextList & | inout (void)
ServiceContextList *& | out (void)
ServiceContextList * | _retn (void)
ServiceContextList * | ptr (void) const
## Private Attributes
ServiceContextList * | ptr_

## Constructor & Destructor Documentation

IOP::ServiceContextList_var::ServiceContextList_var | ( | void |  | ) |

IOP::ServiceContextList_var::ServiceContextList_var | ( | ServiceContextList * |  | ) |

IOP::ServiceContextList_var::ServiceContextList_var | ( | const ServiceContextList_var & |  | ) |

IOP::ServiceContextList_var::~ServiceContextList_var | ( | void |  | ) |

## Member Function Documentation

ServiceContextList* IOP::ServiceContextList_var::_retn | ( | void |  | ) |

const ServiceContextList& IOP::ServiceContextList_var::in | ( | void |  | ) | const

ServiceContextList& IOP::ServiceContextList_var::inout | ( | void |  | ) |

IOP::ServiceContextList_var::operator const ServiceContextList & | ( |  | ) | const

IOP::ServiceContextList_var::operator ServiceContextList & | ( |  | ) | const

IOP::ServiceContextList_var::operator ServiceContextList & | ( |  | ) |

IOP::ServiceContextList_var::operator ServiceContextList *& | ( |  | ) |

const ServiceContextList* IOP::ServiceContextList_var::operator-> | ( | void |  | ) | const

ServiceContextList* IOP::ServiceContextList_var::operator-> | ( | void |  | ) |

ServiceContextList_var& IOP::ServiceContextList_var::operator= | ( | const ServiceContextList_var & |  | ) |

ServiceContextList_var& IOP::ServiceContextList_var::operator= | ( | ServiceContextList * |  | ) |

const ServiceContext& IOP::ServiceContextList_var::operator[] | ( | CORBA::ULong | index | ) | const

ServiceContext& IOP::ServiceContextList_var::operator[] | ( | CORBA::ULong | index | ) |

ServiceContextList*& IOP::ServiceContextList_var::out | ( | void |  | ) |

ServiceContextList* IOP::ServiceContextList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ServiceContextList* IOP::ServiceContextList_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- IOPC.h